X2Go Bug report logs - #1240
broker bug with accentuated characters in password

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Wed, 13 Dec 2017 18:30:02 UTC

Severity: normal

Tags: pending

Fixed in versions 0.4.0.0, 0.0.4.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Wed, 13 Dec 2017 18:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>.

Your message specified a Severity: in the pseudo-header, but the severity value bug was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, important, normal, minor, wishlist.

(Wed, 13 Dec 2017 18:30:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: broker bug with accentuated characters in password
Date: Wed, 13 Dec 2017 19:29:07 +0100 (CET)
package: x2gobroker
priority: bug

Context : I'm using PAM auth with the X2Gobroker which relies on Samba/Winbind to use ActiveDirectory based authentication.
It works pretty well but some users couldn't auth even though we triple checked their username/password combination.
It appears these users had some accentuated characters in their password so I suppose there is a charset issue there, not sure if the broker uses iso/latin encoding or UTF8.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Mon, 18 Dec 2017 11:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 18 Dec 2017 11:30:02 GMT) (full text, mbox, link).


Message #10 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1240@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1240: broker bug with accentuated characters in password
Date: Mon, 18 Dec 2017 11:27:54 +0000
[Message part 1 (text/plain, inline)]
Hi Walid, hi all,

On  Mi 13 Dez 2017 19:29:07 CET, Walid MOGHRABI wrote:

> package: x2gobroker
> priority: bug
>
> Context : I'm using PAM auth with the X2Gobroker which relies on  
> Samba/Winbind to use ActiveDirectory based authentication.
> It works pretty well but some users couldn't auth even though we  
> triple checked their username/password combination.
> It appears these users had some accentuated characters in their  
> password so I suppose there is a charset issue there, not sure if  
> the broker uses iso/latin encoding or UTF8.
>
>
> Regards,
> Walid Moghrabi

I will work on this in the second week of January on a contracted basis.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Mon, 12 Feb 2018 15:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Feb 2018 15:55:03 GMT) (full text, mbox, link).


Message #15 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>, 1240@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1240: broker bug with accentuated characters in password
Date: Mon, 12 Feb 2018 15:52:16 +0000
[Message part 1 (text/plain, inline)]
Hi Walid,

On  Mi 13 Dez 2017 19:29:07 CET, Walid MOGHRABI wrote:

> package: x2gobroker
> priority: bug
>
> Context : I'm using PAM auth with the X2Gobroker which relies on  
> Samba/Winbind to use ActiveDirectory based authentication.
> It works pretty well but some users couldn't auth even though we  
> triple checked their username/password combination.
> It appears these users had some accentuated characters in their  
> password so I suppose there is a charset issue there, not sure if  
> the broker uses iso/latin encoding or UTF8.
>
>
> Regards,
> Walid Moghrabi

Regarding the above issue, can you please test, if an authentication  
via the test tool works?

Steps:

1) Make sure the x2gobroker-authservice is running

2) x2gobroker-testauth --user=<user>

(Password is queried then after having hit <ENTER>.

Does that work? Or does this also fail? (Here it works).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Mon, 12 Feb 2018 17:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Feb 2018 17:50:01 GMT) (full text, mbox, link).


Message #20 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 1240@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1240: broker bug with accentuated characters in password
Date: Mon, 12 Feb 2018 18:38:21 +0100 (CET)
Hi,

Just re-tried and now it works.
Dunno if something has been fixed since when I declared the bug ... maybe the upgrade to Python3.


Regards,
Walid Moghrabi

TRAVAUX.COM
BAT I - PARC CEZANNE 2 290 AVENUE GALILEE - CS 80403
13591 AIX EN PROVENCE CEDEX 3

----- Mail original ----- 

De: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de> 
À: "Walid MOGHRABI" <w.moghrabi@servicemagic.eu>, 1240@bugs.x2go.org 
Envoyé: Lundi 12 Février 2018 16:52:16 
Objet: Re: [X2Go-Dev] Bug#1240: broker bug with accentuated characters in password 

Hi Walid, 

On Mi 13 Dez 2017 19:29:07 CET, Walid MOGHRABI wrote: 

> package: x2gobroker 
> priority: bug 
> 
> Context : I'm using PAM auth with the X2Gobroker which relies on 
> Samba/Winbind to use ActiveDirectory based authentication. 
> It works pretty well but some users couldn't auth even though we 
> triple checked their username/password combination. 
> It appears these users had some accentuated characters in their 
> password so I suppose there is a charset issue there, not sure if 
> the broker uses iso/latin encoding or UTF8. 
> 
> 
> Regards, 
> Walid Moghrabi 

Regarding the above issue, can you please test, if an authentication 
via the test tool works? 

Steps: 

1) Make sure the x2gobroker-authservice is running 

2) x2gobroker-testauth --user=<user> 

(Password is queried then after having hit <ENTER>. 

Does that work? Or does this also fail? (Here it works). 

Mike 
-- 

DAS-NETZWERKTEAM 
mike gabriel, herweg 7, 24357 fleckeby 
mobile: +49 (1520) 1976 148 
landline: +49 (4354) 8390 139 

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22 0782 9AF4 6B30 2577 1B31 
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Mon, 12 Feb 2018 20:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Feb 2018 20:20:02 GMT) (full text, mbox, link).


Message #25 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
Cc: 1240@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1240: broker bug with accentuated characters in password
Date: Mon, 12 Feb 2018 20:18:17 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 pending
Control: fixed -1 0.4.0.0

Hi Walid

On  Mo 12 Feb 2018 18:38:21 CET, Walid MOGHRABI wrote:

> Just re-tried and now it works.
> Dunno if something has been fixed since when I declared the bug ...  
> maybe the upgrade to Python3.

Ok. Let's consider this issues resolved by the Python3 switch (which  
makes strings Unicode strings -- always).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1240-submit@bugs.x2go.org. (Mon, 12 Feb 2018 20:20:03 GMT) (full text, mbox, link).


Marked as fixed in versions 0.4.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1240-submit@bugs.x2go.org. (Mon, 12 Feb 2018 20:20:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Mon, 12 Feb 2018 20:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Feb 2018 20:25:01 GMT) (full text, mbox, link).


Message #34 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1240-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1240@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Mon, 12 Feb 2018 21:21:04 +0100 (CET)
tag #1240 pending
fixed #1240 0.0.4.0
thanks

Hello,

X2Go issue #1240 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=52b542f

The issue will most likely be fixed in src:x2gobroker (0.0.4.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 52b542f9735485fa5a0f912281e3d44d714ef9a9
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Feb 12 21:20:54 2018 +0100

    debian/changelog: add closure for #1240

diff --git a/debian/changelog b/debian/changelog
index 46cf7ec..3db7744 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,7 +2,7 @@ x2gobroker (0.0.4.0-0x2go1) UNRELEASED; urgency=medium
 
   * New upstream version (0.0.4.0):
     - Bump upstream version to 0.0.4.0.
-    - Port to Python 3.
+    - Port to Python 3. (Fixes: #1240).
     - Drop left-over debug print() call.
     - Makefile: Assure that setup.py is run under Python3.
     - Improve debugging messages during authentication phase.


Marked as fixed in versions 0.0.4.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 12 Feb 2018 20:25:02 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1240. (Mon, 12 Feb 2018 20:25:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1240; Package x2gobroker. (Sat, 02 Feb 2019 21:10:08 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 02 Feb 2019 21:10:09 GMT) (full text, mbox, link).


Message #44 received at 1240@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1240-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1240@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Sat, 2 Feb 2019 22:08:25 +0100 (CET)
close #1240
thanks

Hello,

we are very hopeful that X2Go issue #1240 reported by you
has been resolved in the new release (0.0.4.0) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.4.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=a2455880e34e31546054ce50abd1512c61430b51;hp=dbea0c7c20c58e6783ea796691f0881131ad6590

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.4.0-0x2go1
Status: RELEASE
Date: Sat, 02 Feb 2019 21:50:29 +0100
Fixes: 1013 1234 1240 1252 1315
Changes:
 x2gobroker (0.0.4.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (0.0.4.0):
     - Bump upstream version to 0.0.4.0.
     - Port to Python 3. (Fixes: #1240).
     - Drop left-over debug print() call.
     - Makefile: Assure that setup.py is run under Python3.
     - Improve debugging messages during authentication phase.
     - x2gobroker/basicauth.py: Fix call of base64.decodestring on Python3.
     - Unit tests: Fix deep misunderstanding in the way allow-deny vs.
       deny-allow should actually work.
     - x2gobroker/brokers/base_broker.py: Entire rewrite of
       check_profile_acls() method. (Fixes: #1234).
     - x2gobroker/tests/test_web_plain_base.py: Add test case for passwords
       with accentuated characters (using the testsuite_authmech for now).
     - Makefile: Support skipping installation of the x2gobroker PyModule.
       Useful when building with CDBS on Debian.
     - Makefile: Compress man pages.
     - Makefile: Run setup.py build at build time.
     - tmpfiles.d utilization: Create RUNDIR/x2gobroker via tmpfiles.d system.
       Fixes missing dir and flawed permissions when running under systemd.
     - etc/x2gobroker.conf: Mention the per-profile option for enabling/disabling
       load checker support.
     - sbin/{x2gobroker-pubkeyauthorizer,x2gobroker-keygen}: Use proper octal
       numbers for file permissions.
     - sbin/x2gobroker-pubkeyauthorizer: Fix key lookup in os.environ for
       Python3.
     - sbin/x2gobroker-pubkeyauthorizer: Some string/bytecode fixes for Python3.
       Plus urllib -> urllib.request.
     - sbin/x2gobroker-pubkeyauthorizer: Improve key integrity checker and move
       it further up. Plus one more Python2 -> Python3 issue fixed.
     - sbin/x2gobroker-pubkeyauthorizer: Drop unused binascii import.
     - x2gobroker-pubkeyauthorizer: Tiny Python2to3 fix.
     - load checker integration: Make the default-use-load-checker option work
       like all other default-* options.
     - uccs frontend: Convert datetime.datetime object to string before answering
       the http request with it.
     - x2gobroker/agent (check_load()): Bail out if no remote agent is given.
     - x2gobroker-testagent: Convert to Python3 (using 2to3 tool).
     - x2gobroker-loadchecker: Python3'ify iteration over dict keys.
     - x2gobroker/utils.py: Provide helper functions for pretty-formatting key
       fingerprints.
     - x2gobroker-keygen: Use new fingerprint formatting functions.
     - x2gobroker/agent.py: Bail out if no hostaddr contained in remote_agent.
     - x2gobroker/agent.py: No load-checking when remote_agent is set to 'LOCAL'.
     - x2gobroker/agent.py: Better sanity checks for remote_agent and its dict
       keys hostname and hostaddr.
     - x2gobroker/loadchecker.py: Report properly to the logger if we fail to
       obtain a load factor.
     - x2gobroker-loadchecker.service: loadchecker service needs to chuid to
       system user x2gobroker. (Fixes: #1252).
     - x2gobroker-loadchecker.service: File ownership should be
       x2gobroker:x2gobroker, too.
     - x2gobroker-loadchecker: No chown/chmod if we are not running as root
       (which is mostly the case).
     - x2gobroker/brokers/inifile_broker.py: Make sure profile['name'] has a
       fallback if not given in the session profile.
     - x2gobroker/brokers/inifile_broker.py: Also check for presence of 'host'
       and 'sshport'.
     - UCCS API change for X2Go Sessions: Rename "SessionType" to "Command".
     - obligatory profile keys: Move from inifile backend to UCCS frontend, as
       those requirements are frontend specific.
     - UCCS: Start working on API version 5.
     - x2gobroker/uccsjson.py: Hide private Python class properties from JSON
       dict (like <obj>._api_version).
     - UCCS frontend: Fix API version check.
     - UCSS frontend: Propagate API version onwards to the X2GoServer JSON
       generator class.
     - infile broker backend: Fix handling of empty lists in session profile
       and session profile defaults.
     - etc/x2gobroker-wsgi.apache.*: Drop Apache2.2 support.
     - Log to system broker.log file when run via x2gobroker-ssh.
     - Getting started documentation: Rework document, convert to markdown,
       install into x2gobroker bin:pkg (on DEB based systems).
     - Makefile.docupload: Add apidoc target (running sphinx-apidoc).
     - docs/source: Initialize Sphinx API documentation's .rst files.
     - bin/x2gobroker: If binding the http server fails, a non-zero exit code
       should be returned. (Fixes: #1013).
     - x2gobroker/loadchecker.py: Don't re-read the x2gobroker.conf during
       each cycle of the load checking loop. Rather read it on service startup
       and require a service restart when x2gobroker.conf has been changed.
     - x2gobroker/loadchecker.py: Avoid rare cases where at the end of a load
       checking cycle a negative sleep time would have been calculated.
       (Fixes: #1315). Thanks to Walid Moghrabi for catching this.
     - HTTP broker: Add &login=<server_user> support to plain and json broker
       frontends.
     - SSH broker: Add --login option. This now supports X2Go Broker user and
       X2Go Server username being different accounts.
     - bin/x2gobroker: Correctly use split_host_address() function call.
     - bin/x2gobroker: Don't override already defined logger objects, define
       them properly where needed.
     - Convert one more unicode object into (Python3) string.
     - x2gobroker/tests/test_broker_agent.py: Assure that tests are run without
       loadchecker usage.
     - broker-use-load-checker profile option: Also tolerate 'TRUE' and 'True'.
     - x2gobroker/agent.py: Fix failing execution of LOCAL broker agent. As
       the LOCAL broker agent is executed setuid root, we cannot
       Popen.terminate() (which is unneeded anyway) the process after its
       execution.
     - Ignore SSH broker events for now. Not sure if we will ever support that.
     - Finalize API documentation.
     - Fix regression flaw in x2gobroker/web/json.py, introduced by commit
       9fa371e9.
   * debian/*:
     + Trigger Makefile's install target and install those files. Drop debhelper
       from-source-installation magic.
   * debian/{control,compat}: Bump to DH version level 9.
   * debian/{control,x2gobroker-common.install}:
     + Split out common files into non-Pythonian bin:pkg.
   * debian/*.install:
     + Add EOLs at EOF.
     + Add tmpfiles.d files into bin:pkgs.
     + Fix installation to /usr/lib/python3.x paths.
   * debian/control:
     + Drop from D (several bin:pkgs): python3-argparse, argparse is shipped
       with Python3 core.
     + Switch from libapache2-mod-wsgi to libapache2-mod-wsgi-py3.
     + Add B-D: dh-python.
     + Add B-D: python3-netaddr (for unit tests).
   * debian/x2gobroker-loadchecker.postinst:
     + Do chown/chmod on the correct file (not authservice.log, but
       loadchecker.log).
   * debian/python-x2gobroker-doc.doc-base:
     + Drop leading white-space in Abstract: field.
   * x2gobroker.spec:
     + Adapt to Python3 port.
     + Bump package version.
     + CentOS 6 + 7 have python34-devel, not python3-devel.
     + Enable debug_packages for openSUSE Tumbleweed (suse_version > 1500).
     + CentOS 6 + 7 have python34-setuptools, not python3-setuptools.
     + Fix removal of conf files in tmpfiles.d where needed.
     + Install tmpfiles.d configs into bin:pkgs.
     + Only install tmpfiles.d configs on systems that support/have systemd.
     + Some path fixes for the new tmpfiles.d/.
     + Make sure the build chroot has all it needs to run the PyModule's unit
       tests.
     + Let's try to get unit tests working on Fedora first...
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.4.0):
     - src/x2gobroker-{agent,ssh}.c: catch errors in setuid wrappers and add
       general return clause to make compilers happy.
     - Makefile: make sure that we actually append our custom CFLAGS and
       LDFLAGS values, even if passed in through the make command line.
     - src/x2gobroker-{agent,ssh}.c: fix compile warnings/errors.
     - src/x2gobroker-{agent,ssh}.c: fix more compile errors.
     - misc: copyright update.
     - misc: switch to HTTPS-based URLs where appropriate.
     - man/*: update date and version stamps pre-release.
     - misc: add missing coding modelines.
   * x2gobroker.spec:
     - Add %debug_package macro when debugging is to be enabled, hoping that it
       will actually generate proper debuginfo (and -source) sub packages
       owning files.
     - Whitespace only.
     - Remove obsolete EPEL 5 support.
     - Switch to HTTPS-based links.
     - Use more curly braces.
     - Pull in gcc and redhat-rpm-config.
     - Re-enable debug file generation to see which OS versions still fail.
     - %exclude does not work with curly braces, revert.
     - Remove %debug_package macro usage, breaks builds nowadays.
     - Pass down global flags in CFLAGS and LDFLAGS.
     - Fix %{__global_ldflags} usage if variable does not exist.
     - Commands don't seem to work when wrapped in curly braces (at least on
       *SuSE), so revert.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sat, 02 Feb 2019 21:10:19 GMT) (full text, mbox, link).


Notification sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug acknowledged by developer. (Sat, 02 Feb 2019 21:10:19 GMT) (full text, mbox, link).


Message sent on to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug#1240. (Sat, 02 Feb 2019 21:10:25 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 03 Mar 2019 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Nov 18 14:03:13 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.